%add_optflags %optflags_shared

Name: dcmtk
Version: 3.5.4
Release: alt0.M51.3
Summary: DCMTK - DICOM Toolkit
License: MIT license
Group: Graphics
Source: %name-%version.tar.gz
Patch: pdcmtk-r27.diff
Url: http://www.dcmtk.org/

Requires: lib%name = %version-%release
BuildPreReq: gcc-c++, zlib-devel, libpng-devel, libtiff-devel
BuildPreReq: libxml2-devel, libwrap-devel, libssl-devel

%description
DCMTK is a collection of libraries and applications implementing large parts 
the DICOM standard. It includes software for examining, constructing and 
converting DICOM image files, handling offline media, sending and receiving 
images over a network connection, as well as demonstrative image storage and 
worklist servers.

Contains patches against latest stable version from http://gna.org/projects/pdcmtk

%package -n lib%name
Summary: %name shared libraries
Group: System/Libraries

%description -n lib%name
%name shared libraries

%package -n lib%name-devel
Summary: Headers for building software that uses %name
Group: Development/C

Requires: lib%name = %version-%release

%description -n lib%name-devel
Headers for building software that uses %name

%prep
%setup
%patch -p0

%build
%configure

%install
%make_install DESTDIR=%buildroot install
%make_install DESTDIR=%buildroot install-lib

%files
%_bindir/*
%_datadir/dcmtk/*
%_docdir/*
%_man1dir/*
%config %_sysconfdir/*

%files -n lib%name
%_libdir/dcm2xml.dtd
%_libdir/dsr2xml.xsd

%files -n lib%name-devel
%_includedir/dcmtk/*/*.h
%_libdir/*.a

%changelog
* Sat Feb 06 2010 Andrey Yurkovsky <anyr@altlinux.org> 3.5.4-alt0.M51.3
- build for branch 5.1

* Fri Feb 05 2010 Andrey Yurkovsky <anyr@altlinux.org> 3.5.4-alt3
- added dcmtk headers

* Wed Nov 25 2009 Andrey Yurkovsky <anyr@altlinux.org> 3.5.4-alt2
- %_sysconfdir/* in spec changed to %config %_sysconfdir/*

* Fri Nov 13 2009 Andrey Yurkovsky <anyr@altlinux.org> 3.5.4-alt1
- initial build
